diff --git a/ChangeLog.rst b/ChangeLog.rst
index a3d5d6d4..7b845b8f 100644
--- a/ChangeLog.rst
+++ b/ChangeLog.rst
@@ -1,3 +1,5 @@
+* Support `mount -o nofail`
+
 libfuse 3.2.1 (2017-11-14)
 ==========================
 
diff --git a/util/mount.fuse.c b/util/mount.fuse.c
index 363b12b8..3f498dbb 100644
--- a/util/mount.fuse.c
+++ b/util/mount.fuse.c
@@ -154,6 +154,7 @@ int main(int argc, char *argv[])
 				int ignore = 0;
 				const char *ignore_opts[] = { "",
 							      "user",
+							      "nofail",
 							      "nouser",
 							      "users",
 							      "auto",
